Index: stable/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectPermissionsView.cs
===================================================================
--- stable/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectPermissionsView.cs	(revision 17059)
+++ stable/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectPermissionsView.cs	(revision 17059)
@@ -0,0 +1,338 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Drawing;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.Clients.Access;
+using HeuristicLab.Common.Resources;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Clients.Hive.Administrator.Views {
+  [View("ProjectView")]
+  [Content(typeof(Project), IsDefaultView = false)]
+  public partial class ProjectPermissionsView : ItemView {
+    private const int userImageIndex = 0;
+    private const int userGroupImageIndex = 1;
+
+    private readonly HashSet<UserGroupBase> assignedPermissions = new HashSet<UserGroupBase>();
+    private readonly HashSet<UserGroupBase> inheritedPermissions = new HashSet<UserGroupBase>();
+    private readonly HashSet<UserGroupBase> newAssignedPermissions = new HashSet<UserGroupBase>();
+    private readonly HashSet<UserGroupBase> newInheritedPermissions = new HashSet<UserGroupBase>();
+    private readonly Dictionary<Guid, HashSet<UserGroupBase>> userGroupAncestors = new Dictionary<Guid, HashSet<UserGroupBase>>();
+    private readonly Dictionary<Guid, HashSet<UserGroupBase>> userGroupDescendants = new Dictionary<Guid, HashSet<UserGroupBase>>();
+
+    private IEnumerable<UserGroupBase> addedPermissions;
+    private IEnumerable<UserGroupBase> removedPermissions;
+    private IEnumerable<UserGroupBase> addedIncludes;
+    private IEnumerable<UserGroupBase> removedIncludes;
+
+    private readonly Color addedAssignmentColor = Color.FromArgb(255, 87, 191, 193); // #57bfc1
+    private readonly Color removedAssignmentColor = Color.FromArgb(255, 236, 159, 72); // #ec9f48
+    private readonly Color addedIncludeColor = Color.FromArgb(25, 169, 221, 221); // #a9dddd
+    private readonly Color removedIncludeColor = Color.FromArgb(25, 249, 210, 145); // #f9d291
+    private readonly Color projectOwnerColor = Color.DarkRed;
+
+    public new Project Content {
+      get { return (Project)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public ProjectPermissionsView() {
+      InitializeComponent();
+
+      treeView.ImageList.Images.Add(VSImageLibrary.User);
+      treeView.ImageList.Images.Add(VSImageLibrary.UserAccounts);
+    }
+
+    #region Overrides
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        assignedPermissions.Clear();
+        inheritedPermissions.Clear();
+        newAssignedPermissions.Clear();
+        newInheritedPermissions.Clear();
+        treeView.Nodes.Clear();
+        detailsViewHost.Content = null;
+      } else {
+        UpdatePermissionList();        
+      }
+      SetEnabledStateOfControls();
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      bool enabled = Content != null && !Locked && !ReadOnly;
+
+      inheritButton.Enabled = enabled;
+      saveButton.Enabled = enabled;
+      treeView.Enabled = enabled;
+
+      if (detailsViewHost != null) {
+        detailsViewHost.Locked = true;
+      }
+
+    }
+    #endregion
+
+    #region Event Handlers
+    private void ProjectPermissionsView_Load(object sender, EventArgs e) {
+
+    }
+
+    private void refreshButton_Click(object sender, EventArgs e) {
+      UpdatePermissionList();
+    }
+
+    private async void inheritButton_Click(object sender, EventArgs e) {
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => SetGrantedProjectPermissions(Content.Id, newAssignedPermissions.Select(x => x.Id), false, true, false));
+      UpdatePermissionList();
+    }
+
+    private async void saveButton_Click(object sender, EventArgs e) {
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => SetGrantedProjectPermissions(Content.Id, newAssignedPermissions.Select(x => x.Id), false, false, false));
+      UpdatePermissionList();
+    }
+
+    private void treeView_AfterSelect(object sender, TreeViewEventArgs e) {
+      var selectedPermission = (UserGroupBase)e.Node.Tag;
+      detailsViewHost.Content = selectedPermission;
+      if (selectedPermission is LightweightUser)
+        detailsViewHost.ViewType = typeof(Access.Views.RefreshableLightweightUserInformationView);
+    }
+
+    private void treeView_BeforeCheck(object sender, TreeViewCancelEventArgs e) {
+      var checkedPermission = (UserGroupBase)e.Node.Tag;
+      if (e.Node.Parent == null 
+        || newInheritedPermissions.Contains(checkedPermission) 
+        || checkedPermission.Id == Guid.Empty
+        || Content.OwnerUserId == checkedPermission.Id)
+          e.Cancel = true;
+    }
+
+    private void treeView_AfterCheck(object sender, TreeViewEventArgs e) {
+      var checkedPermission = (UserGroupBase)e.Node.Tag;
+      if (e.Node.Checked)
+        newAssignedPermissions.Add(checkedPermission);
+      else
+        newAssignedPermissions.Remove(checkedPermission);
+
+      UpdateNewPermissionList();
+    }
+    #endregion
+
+    #region Helpers
+    private void UpdatePermissionList() {
+      AccessClient.Instance.Refresh();
+
+      UpdateUserGroupGenealogy();
+      UpdateAssignedPermissions();
+      UpdateInheritedPermissions();
+      var top = BuildPermissionsList(AccessClient.Instance.UsersAndGroups);
+      detailsViewHost.Content = top;
+    }
+
+    private void UpdateNewPermissionList() {
+      UpdateNewAssignedPermissions();
+      UpdateNewInheritedPermissions();
+      var top = BuildPermissionsList(AccessClient.Instance.UsersAndGroups);
+      detailsViewHost.Content = top;
+    }
+
+    private void UpdateAssignedPermissions() {
+      assignedPermissions.Clear();
+      newAssignedPermissions.Clear();
+      var grantedPermissions = GetGrantedPermissionsForProject(Content.Id);
+      foreach (var r in grantedPermissions) {
+        assignedPermissions.Add(r);
+        newAssignedPermissions.Add(r);
+      }
+    }
+
+    private void UpdateNewAssignedPermissions() {
+      for(int i = newAssignedPermissions.Count-1; i >= 0; i--) {
+        if(newAssignedPermissions.Intersect(userGroupAncestors[newAssignedPermissions.ElementAt(i).Id]).Any() 
+          && newAssignedPermissions.ElementAt(i).Id != Content.OwnerUserId) {
+          newAssignedPermissions.Remove(newAssignedPermissions.ElementAt(i));
+        }
+      }
+    }
+
+    private void UpdateInheritedPermissions() {
+      inheritedPermissions.Clear();
+      newInheritedPermissions.Clear();
+      foreach(var item in assignedPermissions) {
+        if(userGroupDescendants.ContainsKey(item.Id)) {
+          foreach(var descendant in userGroupDescendants[item.Id]) {
+            if(!assignedPermissions.Contains(descendant)) {
+              inheritedPermissions.Add(descendant);
+              newInheritedPermissions.Add(descendant);
+            }
+          }
+        }
+      }
+    }
+
+    private void UpdateNewInheritedPermissions() {
+      newInheritedPermissions.Clear();
+      foreach(var item in newAssignedPermissions) {
+        if(userGroupDescendants.ContainsKey(item.Id)) {
+          foreach(var descendant in userGroupDescendants[item.Id]) {
+            if(!newAssignedPermissions.Contains(descendant))
+              newInheritedPermissions.Add(descendant);
+          }
+        }
+      }
+    }
+
+    private void UpdateUserGroupGenealogy() {
+      userGroupAncestors.Clear();
+      userGroupDescendants.Clear();
+
+      var usersAndGroups = AccessClient.Instance.UsersAndGroups;
+      foreach (var ug in usersAndGroups) {
+        userGroupAncestors.Add(ug.Id, new HashSet<UserGroupBase>());
+        userGroupDescendants.Add(ug.Id, new HashSet<UserGroupBase>());
+      }
+
+      var userGroupTree = HiveServiceLocator.Instance.CallHiveService(s => s.GetUserGroupTree());
+      foreach(var branch in userGroupTree) {
+        var parent = usersAndGroups.Where(x => x.Id == branch.Key).SingleOrDefault();
+        if(parent != null) {
+          var userGroupsToAdd = usersAndGroups.Where(x => userGroupTree[parent.Id].Contains(x.Id));
+          foreach (var node in userGroupsToAdd) {
+            userGroupDescendants[parent.Id].Add(node);
+            userGroupAncestors[node.Id].Add(parent);
+          }
+        }
+      }
+    }
+
+    private static IEnumerable<UserGroupBase> GetGrantedPermissionsForProject(Guid projectId) {
+      if (projectId == Guid.Empty) return Enumerable.Empty<UserGroupBase>();
+      var projectPermissions = HiveServiceLocator.Instance.CallHiveService(s => s.GetProjectPermissions(projectId));
+      var userIds = new HashSet<Guid>(projectPermissions.Select(x => x.GrantedUserId));
+      return AccessClient.Instance.UsersAndGroups.Where(x => userIds.Contains(x.Id));
+    }
+
+    private static void SetGrantedProjectPermissions(Guid projectId, IEnumerable<Guid> userIds, bool reassign, bool cascading, bool reassignCascading) {
+      if (projectId == null || userIds == null) return;
+      HiveServiceLocator.Instance.CallHiveService(s => {
+        s.SaveProjectPermissions(projectId, userIds.ToList(), reassign, cascading, reassignCascading);
+      });
+    }
+
+    private UserGroupBase BuildPermissionsList(IEnumerable<UserGroupBase> usersAndGroups) {
+      addedPermissions = newAssignedPermissions.Except(assignedPermissions);
+      removedPermissions = assignedPermissions.Except(newAssignedPermissions);
+      addedIncludes = newInheritedPermissions.Except(inheritedPermissions);
+      removedIncludes = inheritedPermissions.Except(newInheritedPermissions);
+
+      treeView.Nodes.Clear();
+      if (!usersAndGroups.Any()) return null;
+
+      treeView.BeforeCheck -= treeView_BeforeCheck;
+      treeView.AfterCheck -= treeView_AfterCheck;
+
+      var userGroups = new HashSet<UserGroup>(usersAndGroups.OfType<UserGroup>());
+      var users = new HashSet<LightweightUser>(usersAndGroups.OfType<LightweightUser>());
+      UserGroupBase first = null;
+
+      var groupsNode = new TreeNode("Groups") { ForeColor = SystemColors.GrayText };
+      groupsNode.ImageIndex = groupsNode.SelectedImageIndex = userGroupImageIndex;
+
+      foreach (var group in userGroups.OrderBy(x => x.Name)) {
+        var node = new TreeNode(group.Name) { Tag = group };
+        node.ImageIndex = userGroupImageIndex;
+        node.SelectedImageIndex = node.ImageIndex;
+        BuildNode(group, node);
+        groupsNode.Nodes.Add(node);
+        if (first == null) first = group;
+      }
+
+      var usersNode = new TreeNode("Users") { ForeColor = SystemColors.GrayText };
+      usersNode.ImageIndex = usersNode.SelectedImageIndex = userImageIndex;
+
+      foreach (var user in users.OrderBy(x => x.ToString())) {
+        var node = new TreeNode(user.ToString()) { Tag = user };
+        node.ImageIndex = userImageIndex;
+        node.SelectedImageIndex = node.ImageIndex;
+        BuildNode(user, node);
+        usersNode.Nodes.Add(node);
+        if (first == null) first = user;
+      }
+
+      treeView.Nodes.Add(groupsNode);
+      treeView.Nodes.Add(usersNode);
+      treeView.BeforeCheck += treeView_BeforeCheck;
+      treeView.AfterCheck += treeView_AfterCheck;
+      treeView.ExpandAll();
+
+      return first;
+    }
+
+    private void BuildNode(UserGroupBase ug, TreeNode node) {
+
+      if (newAssignedPermissions.Contains(ug)) {
+        node.Checked = true;
+      } else if (newInheritedPermissions.Contains(ug)) {
+        node.Checked = true;
+        node.ForeColor = SystemColors.GrayText;
+      }
+
+      if (inheritedPermissions.Contains(ug) && newInheritedPermissions.Contains(ug)) {
+        node.Text += " [included]";
+      } else if (addedIncludes.Contains(ug)) {
+        node.BackColor = addedIncludeColor;
+        node.ForeColor = SystemColors.GrayText;
+        node.Text += " [added include]";
+      } else if (removedIncludes.Contains(ug)) {
+        node.BackColor = removedIncludeColor;
+        node.ForeColor = SystemColors.GrayText;
+        node.Text += " [removed include]";
+      }
+
+      if (addedPermissions.Contains(ug)) {
+        node.BackColor = addedAssignmentColor;
+        node.ForeColor = SystemColors.ControlText;
+        node.Text += " [added assignment]";
+      } else if (removedPermissions.Contains(ug)) {
+        node.BackColor = removedAssignmentColor;
+        node.ForeColor = SystemColors.ControlText;
+        node.Text += " [removed assignment]";
+      }
+
+      if(Content != null && ug != null && ug.Id != Guid.Empty 
+        && Content.OwnerUserId == ug.Id) {
+        node.ForeColor = projectOwnerColor;
+      }
+
+    }
+
+    #endregion
+  }
+}
Index: stable/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectResourcesView.Designer.cs
===================================================================
--- stable/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectResourcesView.Designer.cs	(revision 17059)
+++ stable/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectResourcesView.Designer.cs	(revision 17059)
@@ -0,0 +1,197 @@
+﻿namespace HeuristicLab.Clients.Hive.Administrator.Views {
+  partial class ProjectResourcesView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.refreshButton = new System.Windows.Forms.Button();
+      this.inheritButton = new System.Windows.Forms.Button();
+      this.saveButton = new System.Windows.Forms.Button();
+      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.resourcesGroupBox = new System.Windows.Forms.GroupBox();
+      this.treeView = new Hive.Views.TreeView.NoDoubleClickTreeView();
+      this.imageList = new System.Windows.Forms.ImageList(this.components);
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.detailsGroupBox = new System.Windows.Forms.GroupBox();
+      this.detailsViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
+      this.resourcesGroupBox.SuspendLayout();
+      this.detailsGroupBox.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // refreshButton
+      // 
+      this.refreshButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Refresh;
+      this.refreshButton.Location = new System.Drawing.Point(3, 3);
+      this.refreshButton.Name = "refreshButton";
+      this.refreshButton.Size = new System.Drawing.Size(24, 24);
+      this.refreshButton.TabIndex = 1;
+      this.toolTip.SetToolTip(this.refreshButton, "Refresh data");
+      this.refreshButton.UseVisualStyleBackColor = true;
+      this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
+      // 
+      // inheritButton
+      // 
+      this.inheritButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.OrgChart;
+      this.inheritButton.Location = new System.Drawing.Point(33, 3);
+      this.inheritButton.Name = "inheritButton";
+      this.inheritButton.Size = new System.Drawing.Size(24, 24);
+      this.inheritButton.TabIndex = 2;
+      this.toolTip.SetToolTip(this.inheritButton, "Save and hand down resource assignments to all descendant projects");
+      this.inheritButton.UseVisualStyleBackColor = true;
+      this.inheritButton.Click += new System.EventHandler(this.inheritButton_Click);
+      // 
+      // saveButton
+      // 
+      this.saveButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Save;
+      this.saveButton.Location = new System.Drawing.Point(63, 3);
+      this.saveButton.Name = "saveButton";
+      this.saveButton.Size = new System.Drawing.Size(24, 24);
+      this.saveButton.TabIndex = 3;
+      this.toolTip.SetToolTip(this.saveButton, "Save resource assignments");
+      this.saveButton.UseVisualStyleBackColor = true;
+      this.saveButton.Click += new System.EventHandler(this.saveButton_Click);
+      // 
+      // splitContainer
+      // 
+      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer.Location = new System.Drawing.Point(3, 33);
+      this.splitContainer.Name = "splitContainer";
+      // 
+      // splitContainer.Panel1
+      // 
+      this.splitContainer.Panel1.Controls.Add(this.resourcesGroupBox);
+      // 
+      // splitContainer.Panel2
+      // 
+      this.splitContainer.Panel2.Controls.Add(this.detailsGroupBox);
+      this.splitContainer.Size = new System.Drawing.Size(824, 458);
+      this.splitContainer.SplitterDistance = 274;
+      this.splitContainer.TabIndex = 5;
+      // 
+      // resourcesGroupBox
+      // 
+      this.resourcesGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.resourcesGroupBox.Controls.Add(this.treeView);
+      this.resourcesGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.resourcesGroupBox.Name = "resourcesGroupBox";
+      this.resourcesGroupBox.Size = new System.Drawing.Size(268, 452);
+      this.resourcesGroupBox.TabIndex = 0;
+      this.resourcesGroupBox.TabStop = false;
+      this.resourcesGroupBox.Text = "Resources (Assigned + Included)";
+      // 
+      // treeView
+      // 
+      this.treeView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.treeView.CheckBoxes = true;
+      this.treeView.ImageIndex = 0;
+      this.treeView.ImageList = this.imageList;
+      this.treeView.Location = new System.Drawing.Point(6, 19);
+      this.treeView.Name = "treeView";
+      this.treeView.SelectedImageIndex = 0;
+      this.treeView.Size = new System.Drawing.Size(256, 427);
+      this.treeView.TabIndex = 0;
+      this.treeView.BeforeCheck += new System.Windows.Forms.TreeViewCancelEventHandler(this.treeView_BeforeCheck);
+      this.treeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.treeView_AfterCheck);
+      this.treeView.BeforeSelect += new System.Windows.Forms.TreeViewCancelEventHandler(this.treeView_BeforeSelect);
+      this.treeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.treeView_AfterSelect);
+      // 
+      // imageList
+      // 
+      this.imageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
+      this.imageList.ImageSize = new System.Drawing.Size(16, 16);
+      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
+      // 
+      // detailsGroupBox
+      // 
+      this.detailsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.detailsGroupBox.Controls.Add(this.detailsViewHost);
+      this.detailsGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.detailsGroupBox.Name = "detailsGroupBox";
+      this.detailsGroupBox.Size = new System.Drawing.Size(540, 452);
+      this.detailsGroupBox.TabIndex = 0;
+      this.detailsGroupBox.TabStop = false;
+      this.detailsGroupBox.Text = "Details";
+      // 
+      // detailsViewHost
+      // 
+      this.detailsViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.detailsViewHost.Caption = "View";
+      this.detailsViewHost.Content = null;
+      this.detailsViewHost.Enabled = false;
+      this.detailsViewHost.Location = new System.Drawing.Point(6, 19);
+      this.detailsViewHost.Name = "detailsViewHost";
+      this.detailsViewHost.ReadOnly = true;
+      this.detailsViewHost.Size = new System.Drawing.Size(528, 427);
+      this.detailsViewHost.TabIndex = 0;
+      this.detailsViewHost.ViewsLabelVisible = true;
+      this.detailsViewHost.ViewType = null;
+      // 
+      // ProjectResourcesView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.splitContainer);
+      this.Controls.Add(this.saveButton);
+      this.Controls.Add(this.inheritButton);
+      this.Controls.Add(this.refreshButton);
+      this.Name = "ProjectResourcesView";
+      this.Size = new System.Drawing.Size(830, 494);
+      this.Load += new System.EventHandler(this.ProjectResourcesView_Load);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
+      this.splitContainer.ResumeLayout(false);
+      this.resourcesGroupBox.ResumeLayout(false);
+      this.detailsGroupBox.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button refreshButton;
+    private System.Windows.Forms.Button inheritButton;
+    private System.Windows.Forms.Button saveButton;
+    private System.Windows.Forms.SplitContainer splitContainer;
+    private System.Windows.Forms.GroupBox resourcesGroupBox;
+    private System.Windows.Forms.GroupBox detailsGroupBox;
+    private HeuristicLab.Clients.Hive.Views.TreeView.NoDoubleClickTreeView treeView;
+    private System.Windows.Forms.ToolTip toolTip;
+    private System.Windows.Forms.ImageList imageList;
+    private MainForm.WindowsForms.ViewHost detailsViewHost;
+  }
+}
